Skip to main content
GET
/
v1
/
runs
/
{run_id}
/
node-runs
Search flow node runs
curl --request GET \
  --url https://api.runflow.io/v1/runs/{run_id}/node-runs \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "state_code": "<string>",
      "input": {},
      "output": {},
      "input_signature": "<string>",
      "preview_type": "<string>",
      "preview_value": "<string>",
      "duration_ms": 123,
      "cost": "<string>",
      "retry_count": 123,
      "error_message": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z"
    }
  ],
  "first": "<string>",
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string | null

Path Parameters

run_id
string
required

Run ID. Use 'any' to search across all parents.

Query Parameters

q
string | null

ANTLR filter expression

limit
integer | null

Page size

Required range: 1 <= x <= 500
sort_by
string | null

Sort expression (e.g. created_at:desc)

fields
string | null

Field projection (e.g. id,name)

pq
string | null

Pagination cursor query

from_prev
boolean
default:false

Backward pagination flag

Response

Paginated flow node run list.

Paginated list response.

items
FullValidator · object[]
required
first
string | null
next
string | null
previous
string | null